"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = SearchForm;
exports.styles = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _makeStyles = _interopRequireDefault(require("@material-ui/core/styles/makeStyles"));

var _router = require("next/router");

var _qs = _interopRequireDefault(require("qs"));

var styles = function styles(theme) {
  return {
    /**
     * Styles applied to the root element.
     */
    root: {
      position: 'relative',
      height: '100%',
      display: 'flex',
      flexDirection: 'column'
    }
  };
};

exports.styles = styles;
var useStyles = (0, _makeStyles["default"])(styles, {
  name: 'RSFSearchForm'
});
/**
 * A form used to submit a search query.
 */

function SearchForm(_ref) {
  var classes = _ref.classes,
      children = _ref.children,
      action = _ref.action,
      autoComplete = _ref.autoComplete;
  classes = useStyles({
    classes: classes
  });
  var ref = (0, _react.useRef)();
  var router = (0, _router.useRouter)();

  var handleSubmit =
  /*#__PURE__*/
  function () {
    var _ref2 = (0, _asyncToGenerator2["default"])(
    /*#__PURE__*/
    _regenerator["default"].mark(function _callee(e) {
      var data, query, _iteratorNormalCompletion, _didIteratorError, _iteratorError, _iterator, _step, _step$value, name, value, url;

      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              e.preventDefault();
              data = new FormData(ref.current);
              query = {};
              _iteratorNormalCompletion = true;
              _didIteratorError = false;
              _iteratorError = undefined;
              _context.prev = 6;

              for (_iterator = data.entries()[Symbol.iterator](); !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                _step$value = (0, _slicedToArray2["default"])(_step.value, 2), name = _step$value[0], value = _step$value[1];
                query[name] = value;
              }

              _context.next = 14;
              break;

            case 10:
              _context.prev = 10;
              _context.t0 = _context["catch"](6);
              _didIteratorError = true;
              _iteratorError = _context.t0;

            case 14:
              _context.prev = 14;
              _context.prev = 15;

              if (!_iteratorNormalCompletion && _iterator["return"] != null) {
                _iterator["return"]();
              }

            case 17:
              _context.prev = 17;

              if (!_didIteratorError) {
                _context.next = 20;
                break;
              }

              throw _iteratorError;

            case 20:
              return _context.finish(17);

            case 21:
              return _context.finish(14);

            case 22:
              url = "".concat(action).concat(action.includes('?') ? '&' : '?').concat(_qs["default"].stringify(query));
              router.push(action.split(/\?/)[0], url);
              return _context.abrupt("return", false);

            case 25:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[6, 10, 14, 22], [15,, 17, 21]]);
    }));

    return function handleSubmit(_x) {
      return _ref2.apply(this, arguments);
    };
  }();

  return _react["default"].createElement("form", {
    ref: ref,
    action: action,
    onSubmit: handleSubmit,
    className: classes.root,
    target: "_top",
    autoComplete: autoComplete ? 'on' : 'off'
  }, children);
}

SearchForm.propTypes = {
  /**
   * Override or extend the styles applied to the component. See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object,

  /**
   * Children to be rendered inside the form.
   */
  children: _propTypes["default"].node,

  /**
   * An `action` attribute to use for the `<form>` element.
   */
  action: _propTypes["default"].string,

  /**
   * Form auto complete
   */
  autoComplete: _propTypes["default"].bool
};
SearchForm.defaultProps = {
  action: '/search',
  autoComplete: false
};
//# sourceMappingURL=SearchForm.js.map